6.0.0-git
2019-03-20

[#13750] Mime: Call to a member function toString()
Summary Mime: Call to a member function toString()
Queue Horde Framework Packages
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester o+horde (at) immerda (dot) ch
Created 2014-12-11 (1560 days ago)
Due
Updated 2014-12-15 (1556 days ago)
Assigned 2014-12-11 (1560 days ago)
Resolved 2014-12-15 (1556 days ago)
Milestone
Patch No

History
2014-12-15 16:19:53 Jan Schneider State ⇒ Resolved
 
2014-12-15 16:13:36 o+horde (at) immerda (dot) ch Comment #3 Reply to this comment
Also, please make sure you have the most up to date code available 
(either most recent PEAR packages or a current Git checkout), as 
some fixes related to this type of error have recently been made.
the newest mime and activesync pear packages solve the problem. can be 
closed thanks.
2014-12-11 14:25:41 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
State ⇒ Feedback
Reply to this comment
127.0.0.1 - - [11/Dec/2014:11:03:58 +0100] "POST 
/Microsoft-Server-ActiveSync?Cmd=Ping&User=someuser&DeviceId=somedevice&DeviceType=Sony
D5803 HTTP/1.0" 200 28 "-" "SonyD5803/4.4.4-EAS-2.0"
This is almost certainly NOT the request that triggers the error. PING 
requests do not fetch any message data so therefore do no MIME 
parsing. Please provide a backtrace of the error for further support.

Also, please make sure you have the most up to date code available 
(either most recent PEAR packages or a current Git checkout), as some 
fixes related to this type of error have recently been made.
2014-12-11 10:29:15 o+horde (at) immerda (dot) ch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Mime: Call to a member function toString()
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
Since the newest update I see the following error messages in my horde log:

2014-12-11T11:03:58+01:00 EMERG: HORDE Call to a member function 
toString() on a non-object [pid 1904 on line 1282 of 
"/var/www/vhosts/horde.immerda.ch/pear/php/Horde/Mime/Part.php"]

They correspond with the following accesses

127.0.0.1 - - [11/Dec/2014:11:03:58 +0100] "POST 
/Microsoft-Server-ActiveSync?Cmd=Ping&User=someuser&DeviceId=somedevice&DeviceType=Sony
D5803 HTTP/1.0" 200 28 "-" "SonyD5803/4.4.4-EAS-2.0"

Saved Queries